*If(strcmp(MatProp(Geom_Type),"BAR_WITH_BOND")==0 || strcmp(MatProp(Geom_Type),"BAR_WITH_MEMORY_BOND")==0)
*include ..\include.src.bas\Function_BarWithBond.bas

GEOMETRY ID *matvar
  NAME "BarWithBondGeometry #*matvar as name *MatProp(Material_Prototype)"
  TYPE "Cable"
  AREA       *MatProp(Area,Real)
  PERIMETER  *MatProp(Bar_Perimeter,Real)
  BOND_COHESION  1.0
  FRICTION CONSTANT 1.0
  FRICTION COEFFICIENT 0 /**  MatProp(Bond_Friction,Real) /** 0 **/  
  RADIUS 1e8
  RESET_SLIPS
*If(strcmp(MatProp(Bar_End),"Fixed_START")==0)
  FIXED START
*ElseIf(strcmp(MatProp(Bar_End),"Fixed_END")==0)
  FIXED END
*ElseIf(strcmp(MatProp(Bar_End),"Fixed_BOTH")==0)
  FIXED BOTH
*ElseIf(strcmp(MatProp(Bar_End),"Fixed_NONE")==0)
  // FIXED NONE   
*EndIf
*If(strcmp(MatProp(Geom_Type),"BAR_WITH_BOND")==0 || strcmp(MatProp(Geom_Type),"BAR_WITH_MEMORY_BOND")==0)
  FUNCTION *Operation(matvar*10000)
*EndIf
*If(strcmp(MatProp(Geom_Type),"BAR_WITH_MEMORY_BOND")==0)
  FRICTION UNLOAD COEFFICIENT 0
  SLIP_UNLOAD_COEFF *MatProp(Friction_unload_coefficient,Real)
*EndIf
*ElseIf(strcmp(MatProp(Geom_Type),"INTERNAL_CABLE")==0)
*include ..\include.src.bas\Function_BarWithBond.bas

GEOMETRY ID *matvar
  NAME "BarWithBondGeometry #*matvar as name *MatProp(Material_Prototype)"
  TYPE "Cable"
  AREA       *MatProp(Area,Real)
  PERIMETER  *MatProp(Bar_Perimeter,Real)
  BOND_COHESION  1.0
  FRICTION CONSTANT 1.0
  FRICTION COEFFICIENT *MatProp(Bond_Friction_Coefficient,Real)  
  RADIUS 1e8
*If(MatProp(Use_Wobble_Coefficient,Int)==1)
  WOBBLE_COEFFICIENT *MatProp(Wobble_Coefficient,Real)
*Else
  WOBBLE_COEFFICIENT 0
*EndIf
  RESET_SLIPS
*If(strcmp(MatProp(Bar_End),"Fixed_START")==0)
  FIXED START
*ElseIf(strcmp(MatProp(Bar_End),"Fixed_END")==0)
  FIXED END
*ElseIf(strcmp(MatProp(Bar_End),"Fixed_BOTH")==0)
  FIXED BOTH
*ElseIf(strcmp(MatProp(Bar_End),"Fixed_NONE")==0)
  // FIXED NONE   
*EndIf
  FUNCTION *Operation(matvar*10000)
*If(strcmp(MatProp(Geom_Type),"BAR_WITH_MEMORY_BOND")==0)
  FRICTION UNLOAD COEFFICIENT 0
  SLIP_UNLOAD_COEFF *MatProp(Friction_unload_coefficient,Real)
*EndIf
*ElseIf(strcmp(MatProp(Geom_Type),"CABLE")==0)

GEOMETRY ID *matvar
  NAME "CableBondGeometry #*matvar as name *MatProp(Material_Prototype)"
  TYPE "Cable"
  AREA                 *MatProp(Area,Real)
  FRICTION CONSTANT    *MatProp(Cohesion,Real)
  FRICTION COEFFICIENT *MatProp(Friction,Real)
  RADIUS               *MatProp(Radius,Real)
  BOND_COHESION 0
*If(strcmp(MatProp(Active_Anchor),"START")==0)
  PRESTRESSED START
*ElseIf(strcmp(MatProp(Active_Anchor),"END")==0)
  PRESTRESSED END
*ElseIf(strcmp(MatProp(Active_Anchor),"BOTH")==0)
  PRESTRESSED BOTH
*EndIf
*Else
*# If(strcmp(MatProp(Geom_Type),"NORMAL")==0)

GEOMETRY ID *matvar
  NAME "TrussGeometry #*matvar as name *MatProp(Material_Prototype)"
  TYPE "Truss"
  AREA *MatProp(Area,Real) ;
*EndIf
